# Yatta! API

# Class: Word

Defined in: | lib/Types/TextTypes.coffee
Inherits: | types.ListManager

## Overview

Note: Currently, only Text is supported!

Handles a Word-like data structures with support for insertText/deleteText at a word-position.

## Instance Method Summary

- # (Word) insertText(position, content) Inserts a string into the word.
- # (Word) deleteText(position, length) Deletes a part of the word.
- # (Word) replaceText(text) Replace the content of this word with another one.
- # (String) val()
- # (void) toString() Same as Word.val
- # (void) setReplaceManager(op) Private In most cases you would embed a Word in a Replaceable, wich is handled by the ReplaceManager in order to provide replace functionality.
- # (void) bind(textfield) Bind this Word to a textfield or input field.
- # (void) _encode() Private Encode this operation in such a way that it can be parsed by remote peers.

## Constructor Details

# (void) constructor(uid, beginning, end, prev, next, origin) Private

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.

## Instance Method Details

# (Word) insertText(position, content)

Inserts a string into the word.

### Returns:

- ( `Word` ) — This Word object.

# (Word) deleteText(position, length)

Deletes a part of the word.

### Returns:

- ( `Word` ) — This Word object

# (Word) replaceText(text)

Replace the content of this word with another one. Concurrent replacements are not merged! Only one of the replacements will be used.

### Returns:

- ( `Word` ) — Returns the new Word object.

# (String) val()

### Returns:

- ( `String` ) — The String-representation of this object.

# (void) toString()

Same as Word.val

### See also:

- Word.val

# (void) setReplaceManager(op) Private

In most cases you would embed a Word in a Replaceable, wich is handled by the ReplaceManager in order to provide replace functionality.

# (void) bind(textfield)

Bind this Word to a textfield or input field.

### Examples:

####

    var textbox = document.getElementById("textfield");
    yatta.bind(textbox);

# (void) _encode() Private

Encode this operation in such a way that it can be parsed by remote peers.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input